package cn.com.countrygarden.bi.main.service.ck;

import cn.com.countrygarden.bi.main.core.Result;
import cn.com.countrygarden.bi.main.model.AccessToken;
import cn.com.countrygarden.bi.main.model.ck.satisfaction.SatisfiedDissatisfiedProject;

import javax.servlet.http.HttpServletRequest;
import java.io.IOException;

/**
 * <p>
 *   不满意因素-项目业务处理接口
 * </p>
 *
 * @author
 * @date 2021-08-06
 * @version V1.0
 */
public interface SatisfiedDissatisfiedProjectService {


    Result queryPageList(SatisfiedDissatisfiedProject satisfiedDissatisfiedProject, int page, int size, AccessToken accessToken);

    Result getrevenue(AccessToken accessToken, HttpServletRequest request) throws IOException;

    Result detailed(Long id, String line, AccessToken accessToken);

    Result edit(SatisfiedDissatisfiedProject satisfiedDissatisfiedProject, AccessToken accessToken);

    Result del(String id, AccessToken accessToken);
}
